%define upstream_name    Algorithm-MasterMind
%define upstream_version v0.4.5

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Skeleton class for
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Algorithm::Combinatorics)
BuildRequires: perl(Algorithm::Evolutionary) >= 0.780.0
BuildRequires: perl(Clone::Fast)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(version) >= 0.770.0
BuildArch:  noarch

%description
Includes common functions used in Mastermind solvers; it should not be used
directly, but from derived classes. See examples in the
Algorithm::MasterMind::Random manpage, for instance.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.4.5-2.mga3
+ Revision: 362853
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 29 2012 kharec <kharec> 0.4.5-1.mga3
+ Revision: 285284
- new version 0.4.5

* Sun Nov 06 2011 kharec <kharec> 0.3.1-1.mga2
+ Revision: 164218
- imported package perl-Algorithm-MasterMind

